Subject: Re: [EN] NNCP 5.5.0 release announcement

From: John Goerzen <[email-masked]>
Date: Thu, 07 Jan 2021 15:23:00 -0600

Hi,

I have a build error with this version:

contrib/do install
do  install
do    bin/all
do      bin/nncp-bundle
do        gopath
# golang.org/x/term
golang.org/x/term/term_unix_linux.go:9:7: ioctlReadTermios 
redeclared in this block
	previous declaration at 
	golang.org/x/term/term_unix_aix.go:9:26
golang.org/x/term/term_unix_linux.go:10:7: ioctlWriteTermios 
redeclared in this block
	previous declaration at 
	golang.org/x/term/term_unix_aix.go:10:27
do:     nncp-bundle: got exit code 2

I initially tried just removing lines 9 and 10 from 
term_unix_linux.go, but then it complained about an unused import. 
Removing that plus the

import "golang.org/x/sys/unix"

line lets the build proceed.

- John

On Thu, Jan 07 2021, Sergey Matveev wrote:

> I am pleased to announce NNCP 5.5.0 release availability!
>
> NNCP (Node to Node copy) is a collection of utilities 
> simplifying
> secure store-and-forward files and mail exchanging.
>
> This utilities are intended to help build up small size (dozens 
> of
> nodes) ad-hoc friend-to-friend (F2F) statically routed darknet
> delay-tolerant networks for fire-and-forget secure reliable 
> files, file
> requests, Internet mail and commands transmission. All packets 
> are
> integrity checked, end-to-end encrypted (E2EE), explicitly 
> authenticated
> by known participants public keys. Onion encryption is applied 
> to
> relayed packets. Each node acts both as a client and server, can 
> use
> push and poll behaviour model.
>
> Out-of-box offline sneakernet/floppynet, dead drops, sequential 
> and
> append-only CD-ROM/tape storages, air-gapped computers support. 
> But
> online TCP daemon with full-duplex resumable data transmission 
> exists.
>
> ------------------------ >8 ------------------------
>
> The main improvements for that release are:
>
> * Bugfixes in "nncp-call(er)"/"nncp-daemon", "nncp-bundle" and
>   "nncp-stat".
>
> * "nncp-rm" has "-dryrun" and "-older" options now.
>
> * "nncp-exec" has "-use-tmp" and "-nocompress" options now.
>   Uncompressed packets are not compatible with previous NNCP
>   versions.
>
> * "nncp-call", "nncp-caller" and "nncp-daemon" commands have
>   "-autotoss*" options for running tosser after call is ended.
>
> * Updated dependencies.
>
> * Administration notes section appeared in documentation:
>   http://www.nncpgo.org/Administration.html
>
> ------------------------ >8 ------------------------
>
> NNCP's home page is: http://www.nncpgo.org/
>
> Source code and its signature for that version can be found 
> here:
>
>     http://www.nncpgo.org/download/nncp-5.5.0.tar.xz (1161 KiB)
>     http://www.nncpgo.org/download/nncp-5.5.0.tar.xz.sig
>
> SHA256 hash: EF0CBEE1 520BE97D A210794C 172BF444 E6F75DB2 
> 84F5BD05 66919193 326AED77
> GPG key ID: 0x2B25868E75A1A953 NNCP releases 
> <[email-masked]>
> Fingerprint: 92C2 F0AE FE73 208E 46BF  F3DE 2B25 868E 75A1 A953
>
> Please send questions regarding the use of NNCP, bug reports and 
> patches
> to mailing list: 
> https://lists.cypherpunks.ru/pipermail/nncp-devel/